* {
	box-sizing: border-box;
}
body {
	font-family: 'Baloo Tamma 2', Georgia;
	background: rgb(236, 236, 236);
}

h1{
	color: #2a473e;
	font-weight: bold;
	margin-left: 38%;
	display: inline-block;
}
main {
	max-width: 800px;
	width: 90%;
	margin-top: 6em;
	margin-left: 25em;
	padding: 40px;
	background: #b7e4b7;
	border: none;
}
.img-silabo{
	width: 29%;
	display: block;
	margin-left: 15.6em;
}
.formulario {
	display: grid;
	grid-template-columns: 1fr 1fr;
	gap: 20px;
}
.formulario__label {
	display: block;
	font-weight: 700;
	padding: 10px;
	cursor: pointer;
}
.formulario__grupo-input {
	position: relative;
}
.formulario__input {
	width: 100%;
	background: #ffffff;
	border: 3px solid transparent;
	border-radius: 3px;
	height: 45px;
	line-height: 45px;
	padding: 0 40px 0 10px;
	transition: .3s ease all;
}
.formulario__input:focus {
	border: 3px solid  #7dd87d;
	outline: none;
	box-shadow: 3px 0px 30px rgba(163,163,163, 0.4);
}
.formulario__input-error {
	font-size: 12px;
	margin-bottom: 0;
	display: none;
}
.formulario__input-error-activo {
	display: block;
}
.formulario__validacion-estado {
	position: absolute;
	right: 10px;
	bottom: 15px;
	z-index: 100;
	font-size: 16px;
	opacity: 0;
}
.formulario__checkbox {
	margin-right: 10px;
}

.formulario__mensaje,
.formulario__grupo-btn-enviar {
	grid-column: span 2;
}
.formulario__mensaje {
	height: 45px;
	line-height: 45px;
	background: #f53434;
	padding: 0 15px;
	border-radius: 3px;
	display: none;
}
.formulario__mensaje-activo {
	display: block;
}
.formulario__mensaje p {
	margin: 0;
}
.formulario__grupo-btn-enviar {
	display: inline-block;
}
.formulario__btn {
	height: 45px;
	width: 25%;
	background: #6abb6a;
	color: #fff;
	font-weight: bold;
	border: none;
	border-radius: 3px;
	cursor: pointer;
	transition: .1s ease all;
	margin-left: 30px;
	margin-right: 20px;	
}
.formulario__btn:hover {
	box-shadow: 3px 0px 30px rgba(163,163,163, 1);
}
a{
	color: #bb2929;
}
.sesion{
	text-align: center;
	margin-top: 3%;
	margin-bottom: 1%;
}
.formulario__mensaje-exito {
	font-size: 14px;
	color: #119200;
	display: none;
}
.formulario__mensaje-exito-activo {
	display: block;
}
/* ----- ESTILO DE LAS VALIDACIONES ----- */
.formulario__grupo-correcto .formulario__validacion-estado {
	color: #1ed12d;
	opacity: 1;
}
.formulario__grupo-incorrecto .formulario__label {
	color: #bb2929;
}
.formulario__grupo-incorrecto .formulario__validacion-estado {
	color: #bb2929;
	opacity: 1;
}
.formulario__grupo-incorrecto .formulario__input {
	border: 3px solid #bb2929;
}
/* ----- -----  MEDIA - GRID----- ----- */
@media screen and (max-width: 800px) {
	.formulario {
		grid-template-columns: 1fr;
	}
	.formulario__mensaje,
	.formulario__grupo-btn-enviar {
		grid-column: 1;
	}
	.formulario__btn {
		width: 100%;
	}
}